import java.io.IOException;
import java.nio.file.Path;
import jdk.jfr.consumer.EventStream;
public class JFRStreamRemoteSample {
    public static void main(String... args) throws IOException  {
        try (EventStream es = EventStream.openRepository(Path.of(args[0]))) {
            es.onEvent("jdk.CPULoad", event -> {
                System.out.println(event.getFloat("machineTotal"));
            });
            es.onEvent("jdk.SocketRead", System.out::println);
            es.start();
        }
    }
}